[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: More NetworkManager related update problems



On Tue, 18 Jan 2005 08:44:23 -0600, Chris Adams <cmadams hiwaay net> wrote:
> There is an update to wireless-tools in updates-released, but
> NetworkManager blocks it because it is linked against libiw.so.27 and
> the new wireless-tools provides libiw.so.28.
> 
> yum doesn't handle this problem very well either:

yum handles the problem just fine..... 
yum tries to resolve the deps... there are conflicting deps so yum fails. 

What would you prefer yum do?  Install a package in a way that causes
a broken dep chain inside your rpm database? If the deps can't be met
without causing conflicts, yum tells you and stop processing, how is
this not correct behavior when there really is a broken dep in the
repo tree?

This issue is already filed AND the developer has responded saying a
new NetworkManager package is being built.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=145395

I'm not sure how constructive it is to post this to test-list when the
developer already knows about the problem and has stated in bugzilla
that action to fix it is underway.

-jef"really wishes wireless-tools would have shown up in
updates-testing first, so this problem would have been caught by
competent proactive fc3 users who know how to file bug-reports as a
first line response to packaging breakages"spaleta


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]